<template>
    <nav class="mt-4 px-4 d-flex flex-row bg-white rounded-1">
        <router-link
            v-for="link in links"
            :key="link.route"
            class="nav-link-item"
            :to="link.route"
        >
            {{link.label}}
        </router-link>
    </nav>
</template>

<script setup lang="ts">
import { ref } from 'vue';
import { RouteLocationRaw } from 'vue-router';

interface LinkInterface {
    label: string
    route: RouteLocationRaw
}

const links = ref<LinkInterface[]>([
    {
        label: 'Bus Lines',
        route: { name: 'busLines' }
    },
    {
        label: 'Stops',
        route: { name: 'stops' }
    }
]);
</script>

<style scoped lang="scss">
.nav-link-item {
    text-decoration: none;
    font-weight: 500;
    color: var(--bs-secondary);
    padding: 1.25rem 1.5rem;
    &.router-link-active {
        color: var(--bs-black);
        border-bottom: var(--bs-primary) 2px solid;
    }
}
</style>
